## edu.cwru.SimpleRTS.Log
Class ResourcePickupLog

    java.lang.Object
      edu.cwru.SimpleRTS.Log.ResourcePickupLog

All Implemented Interfaces:
  java.io.Serializable

    public class ResourcePickupLog

extends java.lang.Object
implements java.io.Serializable

A read only class documenting an event

Author:
  The Condor
See Also:
  Serialized Form

Constructor Summary
`ResourcePickupLog(int gathererid, int controller, ResourceType resource, int amountpickedup, int nodeid, ResourceNode.Type nodetype)`

Method Summary
`int` `getAmountPickedUpID()`
`int` `getGathererID()`
`int` `getNodeId()`
`ResourceNode.Type` `getNodeType()`
`ResourceType` `getResource()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourcePickupLog

    public ResourcePickupLog(int gathererid,
                             int controller,
                             ResourceType resource,
                             int amountpickedup,
                             int nodeid,
                             ResourceNode.Type nodetype)

Method Detail

### getResource

    public ResourceType getResource()

### getGathererID

    public int getGathererID()

### getAmountPickedUpID

    public int getAmountPickedUpID()

### getNodeType

    public ResourceNode.Type getNodeType()

### getNodeId

    public int getNodeId()